



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>git core.autocrlf配置 解决Windows和Linux（Mac）换行问题</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">git core.autocrlf配置 解决Windows和Linux（Mac）换行问题</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-22 08:27:06 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>格式化</h3>
<p>格式化是许多开发人员在协作时，特别是在跨平台情况下，遇到的令人头疼的细小问题。 由于编辑器的不同或者Windows程序员在跨平台项目中的文件行尾加入了回车换行符， 一些细微的空格变化会不经意地进入大家合作的工作或提交的补丁中。不用怕，Git的一些配置选项会帮助你解决这些问题。</p>
<h3>core.autocrlf</h3>
<p>假如你正在Windows上写程序，又或者你正在和其他人合作，他们在Windows上编程，而你却在其他系统上，在这些情况下，你可能会遇到行尾 结束符问题。 这是因为Windows使用回车和换行两个字符来结束一行，而Mac和Linux只使用换行一个字符。 虽然这是小问题，但它会极大地扰乱跨平台协作。</p>
<p>Git可以在你提交时自动地把行结束符CRLF转换成LF，而在签出代码时把LF转换成CRLF。用core.autocrlf来打开此项功能， 如果是在Windows系统上，把它设置成true，这样当签出代码时，LF会被转换成CRLF：</p>
<pre class="prettyprint linenums"><code>$ git config --global core.autocrlf true<br />
</code></pre>
<p>Linux或Mac系统使用LF作为行结束符，因此你不想Git在签出文件时进行自动的转换；当一个以CRLF为行结束符的文件不小心被引入时你肯定想进行修正， 把core.autocrlf设置成input来告诉Git在提交时把CRLF转换成LF，签出时不转换：</p>
<pre class="prettyprint linenums"><code>$ git config --global core.autocrlf input<br />
</code></pre>
<p>这样会在Windows系统上的签出文件中保留CRLF，会在Mac和Linux系统上，包括仓库中保留LF。</p>
<p>如果你是Windows程序员，且正在开发仅运行在Windows上的项目，可以设置false取消此功能，把回车符记录在库中：</p>
<pre class="prettyprint linenums"><code>$ git config --global core.autocrlf false<br />
</code></pre>
<p>转自 <a href="http://www.qinbin.me/git-core-autocrlf%E9%85%8D%E7%BD%AE%E8%AF%B4%E6%98%8E/" rel="external nofollow noreferrer">http://www.qinbin.me/git-core-autocrlf配置说明/</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9jzn048.html">cocos2d-js 学习笔记 --安装调试（1）</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwvnmz8.html">Sql Server系列：DBCC命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8e3ddzq.html">Atitit 颜色平均值cloor grb hsv模式的区别对比</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rpez48.html">js 性能基准测试工具-告别可能、也许、大概这样更快更省</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8m0nl69.html">JavaScript实用技巧总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql4pge9.html">Linux所有者和组</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1orpm9.html">Meta也很强</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1366z9.html">Asp&period;Net Web API VS Asp&period;Net MVC</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmwv3z9.html">php开发客服系统&lpar;持久连接&plus;轮询&plus;反向ajax&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wprxwq.html">Android学习笔记&mdash;Windows下NDK开发简单示例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmlvz79.html">一台服务器同时搭建IIS和WAMP，利用WAMP 80端口转发</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdppvzxq.html">SQL Server 2008 R2 性能计数器详细列表（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zorg53q.html">转载--使用image-set来优化在retian屏幕下的背景图片</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p5zrj8.html">mysql数据库开启慢查询日志</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j103v8.html">numpy&period;squeeze&lpar;&rpar;是干啥的</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m3j2o8.html">MYSQL&mdash;&mdash; 基础入门，select 查询涉及到的关键字组合详解（进阶篇）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvddv38.html">python内涵段子爬取练习</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1dyd5q.html">drf信号量</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkg0g38.html">关于增强的for循环</a>
		</li>
						<li><a href="https://www.batexi.com/a/9022y0nq.html">js 的数值限制可能引起的问题</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q1r6dw58.html">Kali linux创建和删除用户</a>
			</li>
						<li><a href="https://www.batexi.com/a/960w4439.html">The Little Prince-12&sol;06</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gky6zq.html">在idea中不出现大波浪的设置</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2mpe19.html">linux时间修改-hwclock和date</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdmgkj9.html">mysql&sol;mariadb应该使用utf8mb4而不是utf8</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdmgjd9.html">node&period;js 初学（二）&mdash;&mdash; 搭建注册&sol;登录服务器</a>
			</li>
						<li><a href="https://www.batexi.com/a/960wenj9.html">topcoder srm 691 div1 -3</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvzpjx8.html">清理sqlserver 2012 日志文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyn0339.html">Django框架 &lpar;一&rpar; 虚拟环境配置及简单使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjgxgr9.html">git如何将一个分支合并到另一个分支&quest;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
